Game servers
GET https://uptime4.com/api/game-servers/
curl --request GET \
--url 'https://uptime4.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, target, port。 |
| is_enabled | 可选的 布尔值 | |
| type | 可选的 字符串 | 允许的值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 可选的 整数 | |
| datetime_field | 可选的 字符串 | 允许的值:last_datetime, datetime, last_check_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:game_server_id, last_datetime, datetime, last_check_datetime, total_checks, name, uptime, average_response_time, average_online_players, online_players, maximum_online_players。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-04-21 01:51:54",
"next_check_datetime": "2026-04-22 01:51:54",
"is_enabled": true,
"datetime": "2026-04-21 01:51:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/game-servers?page=1",
"last": "https://uptime4.com/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/game-servers?page=1"
}
}
GET https://uptime4.com/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"query_port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-04-21 01:51:54",
"next_check_datetime": "2026-04-22 01:51:54",
"is_enabled": true,
"datetime": "2026-04-21 01:51:54",
}
}
POST https://uptime4.com/api/game-servers
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 必需 字符串 | - |
| target | 必需 字符串 | - |
| port | 必需 字符串 | - |
| query_port | 可选的 字符串 | - |
| type | 可选的 字符串 | 允许的值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 可选的 整数 | - |
| check_interval_seconds | 可选的 整数 | 允许的值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | 可选的 整数 | 允许的值:1, 2, 3, 5, 10, 25 (秒) |
| is_enabled | 可选的 布尔值 | - |
curl --request POST \
--url 'https://uptime4.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://uptime4.com/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/game-servers/{game_server_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| name | 可选的 字符串 | - |
| target | 可选的 字符串 | - |
| port | 可选的 字符串 | - |
| query_port | 可选的 字符串 | - |
| type | 可选的 字符串 | 允许的值:minecraft, cs1.6, cscz, css, csgo, cs2, arkse, rust, garrysmod, dayz |
| project_id | 可选的 整数 | - |
| check_interval_seconds | 可选的 整数 | 允许的值:60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | 可选的 整数 | 允许的值:1, 2, 3, 5, 10, 25 (秒) |
| is_enabled | 可选的 布尔值 | - |
curl --request POST \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \